阿里大于(鱼)PHP API V2.0 全新发布

阿里大于

之前的旧版本(v1.0)开源出去后,使用者较多;但兼容各大框架较差;为此发布v2.0;该版本全新架构,适用任意框架!

v2.0不支持从v1.0直接升级,请抛弃v1.0

源码


功能


环境


安装


composer require flc/alidayu

使用


<?php
use Flc\Alidayu\Client;
use Flc\Alidayu\App;
use Flc\Alidayu\Requests\AlibabaAliqinFcSmsNumSend;

// 配置信息
$config = [
    'app_key'    => '*****',
    'app_secret' => '************',
];

$client = new Client(new App($config));
$req    = new AlibabaAliqinFcSmsNumSend;

$req->setRecNum('13312311231')
    ->setSmsParam([
        'number' => rand(100000, 999999)
    ])
    ->setSmsFreeSignName('叶子坑')
    ->setSmsTemplateCode('SMS_15105357');

$resp = $client->execute($req)

print_r($resp);
print_r($resp->result->model);
?>

帮助


支持


License


MIT

Flc゛ has written 3 articles

该作者很低调,还没有自我介绍~

17 条回复

  1. php01 php01 says:
    阿里的短信跟那个云片的短信比,你就会知道,什么叫大道至简了
  2. Flc Flc says:
    可以先确认下你用的是阿里大鱼还是阿里短信,这个是阿里短信两个服务,对应接口都不一致。如果是阿里短信,请参考:https://github.com/flc1125/dysms
  3. Flc゛ Flc゛ says:
    v1.0当初并没有想着开源出去,也没有意料会有人使用。后来发现使用人多的时候,才做了重新规划调整。后期的版本基本不会出现断崖式的问题!
  4. cc cc says:
    @ zero_bin 又看到一个断崖式升降的第三方库,小心选择,小心使用
  5. Flc Flc says:
    并非代码问题,建议参考官网提示:http://open.taobao.com/support/hotProblemDetail.htm?spm=a219a.7386797.0.0.BT0Xj8&source=search&id=496
  6. 郑昕 郑昕 says:
    +"code": 11 +"msg": "Insufficient isv permissions" +"sub_code": "isv.permission-api-package-limit" +"sub_msg": "scope ids is 11022 11600 11863" 这样的错误是什么情况
  7. DoctorD DoctorD says:
    appkey和secret怎么获取,找了半天都找不到,现在好像改成accessKeyId和accessKeySecret了

登录后才能进行评论,立即登录?